<?php
use CRM_Contactcats_ExtensionUtil as E;

return [
  [
    'name' => 'OptionGroup_contact_categories',
    'entity' => 'OptionGroup',
    'cleanup' => 'unused',
    'update' => 'unmodified',
    'params' => [
      'version' => 4,
      'values' => [
        'name' => 'contact_categories',
        'title' => E::ts('Contact Categories'),
        'data_type' => 'Integer',
        'is_reserved' => FALSE,
        'is_active' => TRUE,
        'option_value_fields' => [
          'name',
          'label',
          'description',
          'weight',
        ],
      ],
      'match' => [
        'name',
      ],
    ],
  ],
  [
    'name' => 'OptionGroup_contact_categories_OptionValue_Default',
    'entity' => 'OptionValue',
    'cleanup' => 'unused',
    'update' => 'unmodified',
    'params' => [
      'version' => 4,
      'values' => [
        'option_group_id.name' => 'contact_categories',
        'label' => E::ts('Default'),
        'is_active' => TRUE,
        'value' => '0',
        'name' => 'default',
      ],
      'match' => [
        'option_group_id',
        'name',
        'value',
      ],
    ],
  ],
];
